Skip to main content
GET
/
api
/
v3
/
admin
/
channels
Spree Admin SDK
import { createAdminClient } from '@spree/admin-sdk'

const client = createAdminClient({
  baseUrl: 'https://your-store.com',
  secretKey: 'sk_xxx',
})

const { data: channels } = await client.channels.list()
{
  "data": [
    {
      "id": "ch_UkLWZg9DAJ",
      "name": "Online Store",
      "code": "online",
      "active": true,
      "default": true,
      "preferred_order_routing_strategy": null,
      "created_at": "2026-06-17T13:36:22.603Z",
      "updated_at": "2026-06-17T13:36:22.603Z"
    },
    {
      "id": "ch_gbHJdmfrXB",
      "name": "Wholesale",
      "code": "wholesale",
      "active": true,
      "default": false,
      "preferred_order_routing_strategy": null,
      "created_at": "2026-06-17T13:36:30.124Z",
      "updated_at": "2026-06-17T13:36:30.124Z"
    }
  ],
  "meta": {
    "page": 1,
    "limit": 25,
    "count": 2,
    "pages": 1,
    "from": 1,
    "to": 2,
    "in": 2,
    "previous": null,
    "next": null
  }
}

Authorizations

x-spree-api-key
string
header
required

Secret API key for admin access

Authorization
string
header
required

JWT token for admin user authentication

Headers

x-spree-api-key
string
required
Authorization
string
required

Query Parameters

page
integer
limit
integer

Response

200 - application/json

channels found

data
object[]
required
meta
object
required